package cn.estsh.i3plus.ext.mes.apiservice.dao;

import cn.estsh.i3plus.pojo.mes.bean.MesCorssOrganizeErrorProofing;
import cn.estsh.i3plus.pojo.mes.bean.MesProduceSn;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description : 跨工厂防错
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/7/4 18:03
 * @Modify:
 **/
public interface IMesCorssOrganizeErrorProofingDao {

    @ApiOperation("根据工厂物料，查询产品条码信息")
    List<MesProduceSn> findMesProduceSnByOrganizeCodeAndPart(MesCorssOrganizeErrorProofing mesCorssOrganizeErrorProofing, Integer pageSize);
}
